org.eclipse.jetty.security

## Class RoleInfo

- java.lang.Object
- - org.eclipse.jetty.security.RoleInfo

    public class RoleInfo
    extends Object

Badly named class that holds the role and user data constraint info for a path/http method combination, extracted and combined from security constraints.

Version:
  $Rev: 4793 $ $Date: 2009-03-19 00:00:01 +0100 (Thu, 19 Mar 2009) $

### Constructor Summary

Constructors
Constructor and Description
`RoleInfo()`

### Method Summary

Methods
`void` `addRole(String role)`
`void` `combine(RoleInfo other)`
`Set<String>` `getRoles()`
`UserDataConstraint` `getUserDataConstraint()`
`boolean` `isAnyRole()`
`boolean` `isChecked()`
`boolean` `isForbidden()`
`void` `setAnyRole(boolean anyRole)`
`void` `setChecked(boolean checked)`
`void` `setForbidden(boolean forbidden)`
`void` `setUserDataConstraint(UserDataConstraint userDataConstraint)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RoleInfo

    public RoleInfo()

### Method Detail

#### isChecked

    public boolean isChecked()

#### setChecked

    public void setChecked(boolean checked)

#### isForbidden

    public boolean isForbidden()

#### setForbidden

    public void setForbidden(boolean forbidden)

#### isAnyRole

    public boolean isAnyRole()

#### setAnyRole

    public void setAnyRole(boolean anyRole)

#### getUserDataConstraint

    public UserDataConstraint getUserDataConstraint()

#### setUserDataConstraint

    public void setUserDataConstraint(UserDataConstraint userDataConstraint)

#### getRoles

    public Set<String> getRoles()

#### addRole

    public void addRole(String role)

#### combine

    public void combine(RoleInfo other)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`